<template>
  <MainCell title="快速缴费">
    <!-- <Grid square :gutter="20" :column-num="2" class="recharge-grid-wrapper">
      <GridItem class="recharge-grid-item" text="话费" @click="emit('phoneBillRecharge')">
        <img :src="IconFreePhone" class="recharge-grid-item-icon" />
        <div class="discountTag" v-if="lifePayPhoneRate > 0">{{ lifePayPhoneRate }}折</div>
      </GridItem>
      <GridItem class="recharge-grid-item" text="电费" @click="emit('electricityBillRecharge')">
        <img :src="IconFreeDian" class="recharge-grid-item-icon" />
        <div class="discountTag" v-if="lifePayElectricRate > 0">{{ lifePayElectricRate }}折</div>
      </GridItem>
      <GridItem class="recharge-grid-item" text="燃气" @click="emit('gasBillRecharge')">
        <img :src="IconFreeGas" class="recharge-grid-item-icon" />
        <div class="discountTag" v-if="lifePayGasRate > 0">{{ lifePayGasRate }}折</div>
      </GridItem>
    </Grid> -->
    <div class="recharge-list-wrapper">
      <div class="recharge-list-item">
        <img :src="IconFreePhone" class="recharge-list-item-icon" />
        <div class="recharge-list-item-text">话费</div>
        <NutButton type="primary" class="recharge-list-item-button">立即缴费</NutButton>
      </div>
      <div class="recharge-list-item">
        <img :src="IconFreeDian" class="recharge-list-item-icon" />
        <div class="recharge-list-item-text">电费</div>
        <NutButton type="primary" class="recharge-list-item-button">立即缴费</NutButton>
      </div>
      <div class="recharge-list-item">
        <img :src="IconFreeGas" class="recharge-list-item-icon" />
        <div class="recharge-list-item-text">燃气费</div>
        <NutButton type="primary" class="recharge-list-item-button">立即缴费</NutButton>
      </div>
    </div>
  </MainCell>
</template>

<script setup lang="ts">
import MainCell from '../../components/Layout/MainCell.vue';
import { Button as NutButton } from '@nutui/nutui-taro';
import IconFreePhone from '../../assets/icon-free-phone.png';
console.log(
  'IconFreePhone: ',
  IconFreePhone,
  new URL('../../assets/icon-free-phone.png', import.meta.url)
);
import IconFreeDian from '../../assets/icon-free-dian.png';
import IconFreeGas from '../../assets/icon-free-gas.png';
import { useGetRate } from '../../hooks';

defineOptions({
  name: 'RechargeGrid',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'phoneBillRecharge'): void;
  (e: 'electricityBillRecharge'): void;
  (e: 'gasBillRecharge'): void;
}>();

const { lifePayPhoneRate, lifePayElectricRate, lifePayGasRate } = useGetRate();
</script>
